Bug 105109 - [PATCH] polish/kadu add OPTIONified building of additional modules
Summary: [PATCH] polish/kadu add OPTIONified building of additional modules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-03 12:40 UTC by Pawel Pekala
Modified: 2006-11-19 18:00 UTC (History)
1 user (show)

See Also:


Attachments
kadu.diff (5.34 KB, patch)
2006-11-03 12:40 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala 2006-11-03 12:40:17 UTC

Add options to the port:

- (WITH | WITHOUT)_ASPELL - build spellchecking module
- (WITH | WITHOUT)_ARTS - build aRts sound module (KDE)
- (WITH | WITHOUT)_ESOUND - build Esound module (Gnome)
- (WITH | WITHOUT)_TABS - compile in support for tabs in chat windows

Fix some portlint warnings
Comment 1 Edwin Groothuis freebsd_committer 2006-11-03 12:40:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 mwisnicki+freebsd 2006-11-03 16:12:03 UTC
On Fri, 3 Nov 2006 12:40:40 UT, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of polish/kadu,
>
> Please note that PR ports/105109 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/105109

approve

>
> --
> Edwin Groothuis
> edwin@FreeBSD.org
>
Comment 3 Martin Wilke freebsd_committer 2006-11-15 21:39:52 UTC
State Changed
From-To: feedback->open

Maintainer as approved. Take it! 


Comment 4 Martin Wilke freebsd_committer 2006-11-15 21:39:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Take
Comment 5 Martin Wilke freebsd_committer 2006-11-15 21:55:46 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Leave PR
Comment 6 Pav Lucistnik freebsd_committer 2006-11-19 15:12:12 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2006-11-19 17:58:38 UTC
pav         2006-11-19 17:58:31 UTC

  FreeBSD ports repository

  Modified files:
    polish/kadu          Makefile distinfo pkg-plist 
  Added files:
    polish/kadu/files    patch-autodownload 
  Log:
  - Add OPTIONS to enable optional modules for: spellchecker, esound, arts, tabs
    in chat windows
  
  PR:             ports/105109
  Submitted by:   Pawel Pekala <c0rn@o2.pl>
  Approved by:    Marcin Wisnicki <mwisnicki+freebsd@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.20      +64 -4     ports/polish/kadu/Makefile
  1.11      +6 -0      ports/polish/kadu/distinfo
  1.1       +8 -0      ports/polish/kadu/files/patch-autodownload (new)
  1.13      +17 -0     ports/polish/kadu/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"